Page MenuHomeFreeBSD

Rename assym.s to .S to use the compiler driver
ClosedPublic

Authored by emaste on Feb 3 2018, 1:15 AM.

Details

Summary

By convention .s is assembled by ${AS} while .S is assembled by ${CC}. Consistently use the compiler driver across all platforms, including those that do not have an in-tree standalone assembler, like arm64.

Diff Detail

Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

  • remove stale assym.s and depend file
  • chase the rename across the tree

why foo.S.orig? Seems like a mistake...

This might be sensible from a consistency perspective, but is not necessary; the underlying issue that prompted this is addressed in rS328883 from @andrew's input

In D14180#297908, @imp wrote:

why foo.S.orig? Seems like a mistake...

Oops, *.orig and LINT were added by accident; now removed.

this looks good to my eye.

A couple of caveats... Years ago I tried a cleanup of things rebuilding too much and ran into issues with assym.s being in modules not for assym.s itself, but because other things got generated as a side effect. Be wary of these and be sure to test on all architectures... I don't have notes from the time, so I can't be less vague...

This revision is now accepted and ready to land.Feb 5 2018, 5:17 PM

I wonder if we should rename it assym.inc instead, since we shouldn't be trying to assemble it with either as or Clang IAS.

Use .inc extension instead

This revision now requires review to proceed.Mar 16 2018, 1:36 PM
sys/modules/hyperv/vmbus/Makefile
27 ↗(On Diff #40343)

Accidentally left behind by a rebase, will be removed.

this looks good to my eye.

This revision is now accepted and ready to land.Mar 16 2018, 8:42 PM
This revision was automatically updated to reflect the committed changes.